import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatRippleModule } from '@angular/material/core';
import { MatSortModule } from '@angular/material/sort';

import { TranslocoModule } from '@ngneat/transloco';

import { SharedModule } from 'app/shared/shared.module';
import { ListComponent } from 'app/modules/admin/member/user/components/list.component';
import { userRoutes } from 'app/modules/admin/member/user/user.routing';

@NgModule({
  declarations: [ListComponent],
  imports: [
    TranslocoModule,
    SharedModule,
    RouterModule.forChild(userRoutes),

    MatButtonModule,
    MatFormFieldModule,
    MatIconModule,
    MatInputModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatRippleModule,
    MatSortModule,
  ],
})
export class UserModule {}
